Release 5.6.4

This commit is contained in:
pancake 2022-02-28 10:28:46 +01:00 committed by Sergi Àlvarez i Capilla
parent 4df6a64945
commit b636941cef
7 changed files with 17 additions and 14 deletions

View File

@ -18,7 +18,9 @@ jobs:
env:
GH_REPO: ${{ github.repository }}
GH_TOKEN: ${{ secrets.GITHUB_TOKEN }}
run: ./sys/download-artifacts.sh ${{ github.sha }}
run: |
sudo apt install gh
./sys/download-artifacts.sh ${{ github.sha }}
- name: Create GitHub release
id: create_release
uses: actions/create-release@v1

View File

@ -6,8 +6,8 @@
[![CII Best Practices](https://bestpractices.coreinfrastructure.org/projects/741/badge)](https://bestpractices.coreinfrastructure.org/projects/741) [![Build Status](https://scan.coverity.com/projects/416/badge.svg)](https://scan.coverity.com/projects/416) [![Total alerts](https://img.shields.io/lgtm/alerts/g/radareorg/radare2.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/radareorg/radare2/alerts/)
See the [Releases](https://github.com/radareorg/radare2/releases) page for
binary downloads. The current git `master` branch is `5.6.3`, and the next
release will be `5.6.4`.
binary downloads. The current git `master` branch is `5.6.5`, and the next
release will be `5.6.6`.
r2 is a complete rewrite of radare. It provides a set of libraries, tools and
plugins to ease reverse engineering tasks.

12
configure vendored
View File

@ -1,5 +1,5 @@
#!/bin/sh
# This script was automatically generated by ACR v1.9.9
# This script was automatically generated by ACR v2.0.0
# @author: pancake <nopcode.org>
# @url: http://www.nopcode.org
# @repo: git clone https://github.com/radare/acr
@ -134,12 +134,12 @@ done
: ${INSTALL_PROGRAM_STRIP:=${INSTALL} -m 755 -s}
: ${INSTALL_MAN:=${INSTALL} -m 444}
: ${INSTALL_LIB:=${INSTALL} -m 755 -c}
PKGNAME='radare2' ; VERSION='5.6.3' ; VERSION_MAJOR=5; VERSION_MINOR=6; VERSION_PATCH=3; VERSION_NUMBER=50603; CONTACT_MAIL="pancake@nopcode.org" ; CONTACT_NAME="pancake" ; CONTACT="pancake <pancake@nopcode.org>" ;
PKGNAME='radare2' ; VERSION='5.6.4' ; VERSION_MAJOR=5; VERSION_MINOR=6; VERSION_PATCH=4; VERSION_NUMBER=50604; CONTACT_MAIL="pancake@nopcode.org" ; CONTACT_NAME="pancake" ; CONTACT="pancake <pancake@nopcode.org>" ;
}
show_usage() {
cat <<EOF2
'configure' configures radare2-5.6.3 to adapt to many kinds of systems.
'configure' configures radare2-5.6.4 to adapt to many kinds of systems.
Usage: ./configure [OPTION]... [VAR=VALUE]...
@ -244,10 +244,10 @@ ocho() {
show_version() {
if [ "$QUIET" = 1 ]; then
echo "5.6.3"
echo "5.6.4"
exit 0
fi
echo "radare2-5.6.3 configuration script done with acr v1.9.9.
echo "radare2-5.6.4 configuration script done with acr v2.0.0.
The 'Free Software Foundation' message is only for autodetection.
Originally written by pancake <nopcode.org>."
exit 0
@ -276,7 +276,7 @@ case $flag in
show_version ; ;;
-r|--r|--report)
echo "PKGNAME: radare2"
echo "VERSION: 5.6.3"
echo "VERSION: 5.6.4"
echo "LANGS: c"
echo "REQUIRED: libdl"
echo "OPTIONAL: libmagic libz libzip libxxhash libssl liblibuv>=1.0.0"

View File

@ -1,5 +1,5 @@
PKGNAME radare2
VERSION 5.6.3
VERSION 5.6.4
CONTACT pancake ; pancake@nopcode.org
LANG_C!

View File

@ -21,7 +21,7 @@
"pancake <pancake@nopcode.org>"
],
"name": "radare2-git",
"version": "5.6.3",
"version": "5.6.4",
"bugs": {
"url": "https://github.com/radareorg/radare2/issues"
},

View File

@ -1,4 +1,4 @@
project('radare2', 'c', license : 'LGPL3', meson_version : '>=0.49', version : '5.6.3')
project('radare2', 'c', license : 'LGPL3', meson_version : '>=0.49', version : '5.6.4')
py3_exe = import('python').find_installation('python3')
git_exe = find_program('git', required: false)

View File

@ -6,7 +6,8 @@ WORKFLOWS="linux apple android windows freebsd"
DESTDIR="dist/artifacts"
LIMIT=100
if ! command -v gh &> /dev/null; then
gh version
if [ $? != 0 ]; then
echo "GitHub CLI (gh command) could not be found"
exit 1
fi
@ -36,4 +37,4 @@ for WORKFLOW in $WORKFLOWS; do
done
echo "Artifacts downloaded:"
find "${DESTDIR}" -type f
find "${DESTDIR}" -type f